<div class="flex flex-auto w-full h-full bg-white">
    <div class="flex flex-wrap justify-start justify-items-center w-full h-fit mt-2">
        <div class="md:w-1/4 sm:w-full min-w-1/4 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-gradient-to-r from-indigo-100 from-10% via-sky-200 via-30% to-blue-400 to-90%">
                <mat-card-title class="mt-4 pl-6 text-2xl text-sky-700">ส่งเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto w-full h-full justify-end items-center">
                    <span class="text-8xl text-sky-700 font-bold">{{total_send}}</span>
                    <span class="text-2xl text-sky-700 ml-4 mt-7">[{{rate_visit}}%]</span>
                </mat-card-content>
                <mat-card-footer class="justify-end text-end h-16">
                    <span class="text-xl text-sky-700 text-end mr-4">ได้รับการเยี่ยมแล้ว {{total_home_visit}} ราย</span>
                </mat-card-footer>
            </mat-card>    
        </div>
        <div class="md:w-1/4 sm:w-full min-w-1/4 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-gradient-to-r from-indigo-100 from-10% via-sky-200 via-30% to-emerald-400 to-90%">
                <mat-card-title class="mt-4 pl-6 text-2xl text-teal-700">ลงเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-end w-full h-full">
                    <span class="text-8xl text-teal-700 font-bold">{{total_home}}</span>
                    <span class="text-2xl ml-4 text-teal-700 mt-7">[{{rate_home_visit}}%]</span>
                </mat-card-content>
                <mat-card-footer class="justify-end text-end h-16">
                    <span class="text-xl text-teal-700 text-end mr-4">ได้รับการส่งให้เยี่ยม {{total_visit}} เคส</span>
                </mat-card-footer>
            </mat-card>
        </div>
        <div class="md:w-1/4 sm:w-full min-w-1/4 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-gradient-to-r from-yellow-50 from-10% via-yellow-20 via-30% to-yellow-20 to-90%">
                <mat-card-title class="mt-4 pl-6 text-2xl text-yellow-800">ผลการเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-around w-full h-full text-end gap-2 divide-x divide-slate-400">
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-green-800 text-start pl-2">ดีขึ้น <mat-icon svgIcon="feather:trending-up" class="text-green-800 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-green-800 font-bold text-end min-w-32"> {{total_better}}</span>
                        </mat-card-content>
                    </mat-card>
                    
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-indigo-600 text-start pl-2">คงที่ <mat-icon svgIcon="feather:activity" class="text-indigo-600 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-indigo-600 font-bold text-end min-w-32"> {{total_stable}}</span>
                        </mat-card-content>
                    </mat-card>
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-red-800 text-start pl-2">แย่ลง <mat-icon svgIcon="feather:trending-down" class="text-red-800 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-red-800 font-bold text-end min-w-32"> {{total_worse}}</span>
                        </mat-card-content>
                    </mat-card>
                    <mat-card class="h-3/4 w-35 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-yellow-900 text-start pl-2">ประเมินไม่ได้ <mat-icon svgIcon="feather:alert-triangle" class="text-yellow-900 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-yellow-900 font-bold text-end min-w-32"> {{total_unable}}</span>
                        </mat-card-content>
                    </mat-card>
                </mat-card-content>
            </mat-card>    
        </div>
        <div class="md:w-1/4 sm:w-full min-w-1/4 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-gradient-to-r from-teal-50 from-10% via-teal-20 via-30% to-teal-20 to-90%">
                <mat-card-title class="mt-4 pl-6 text-2xl text-teal-800">แผนการดูแล</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-around w-full h-full text-end gap-2 divide-x divide-slate-400">
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-indigo-800 text-start pl-2">ส่งต่อ
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-indigo-800 font-bold text-end min-w-32"> {{total_refer}}</span>
                        </mat-card-content>
                    </mat-card>
                    
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-red-800 text-start pl-2">ติดตามต่อ
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-red-800 font-bold text-end min-w-32"> {{total_continue}}</span>
                        </mat-card-content>
                    </mat-card>
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-green-800 text-start pl-2">ไม่ติดตามต่อ
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-green-800 font-bold text-end min-w-32"> {{total_death}}</span>
                        </mat-card-content>
                    </mat-card>
                </mat-card-content>
            </mat-card>    
        </div>
    </div>
</div>